overlay network test script
diff --git a/scripts/ds-overlaytest.yaml b/scripts/ds-overlaytest.yaml
new file mode 100644
index 0000000..6a2476d
--- /dev/null
+++ b/scripts/ds-overlaytest.yaml
@@ -0,0 +1,21 @@
+apiVersion: apps/v1
+kind: DaemonSet
+metadata:
+ name: overlaytest
+spec:
+ selector:
+ matchLabels:
+ name: overlaytest
+ template:
+ metadata:
+ labels:
+ name: overlaytest
+ spec:
+ tolerations:
+ - operator: Exists
+ containers:
+ - image: busybox:1.28
+ imagePullPolicy: Always
+ name: busybox
+ command: ["sh", "-c", "tail -f /dev/null"]
+ terminationMessagePath: /dev/termination-log
diff --git a/scripts/overlaytest.sh b/scripts/overlaytest.sh
new file mode 100644
index 0000000..b30d866
--- /dev/null
+++ b/scripts/overlaytest.sh
@@ -0,0 +1,3 @@
+# kubectl apply -f ds-overlaytest.yaml
+
+echo "=> Start network overlay test"; kubectl get pods -l name=overlaytest -o jsonpath='{range .items[*]}{@.metadata.name}{" "}{@.spec.nodeName}{"\n"}{end}' | while read spod shost; do kubectl get pods -l name=overlaytest -o jsonpath='{range .items[*]}{@.status.podIP}{" "}{@.spec.nodeName}{"\n"}{end}' | while read tip thost; do kubectl --request-timeout='10s' exec $spod -- /bin/sh -c "ping -c2 $tip > /dev/null 2>&1"; RC=$?; if [ $RC -ne 0 ]; then echo $shost cannot reach $thost; fi; done; done; echo "=> End network overlay test"
diff --git a/scripts/raspberry-pi.sh b/scripts/raspberry-pi.sh
index 8b3ccff..84a275c 100644
--- a/scripts/raspberry-pi.sh
+++ b/scripts/raspberry-pi.sh
@@ -45,7 +45,7 @@
-### setup docker
-sudo adduser docker
-sudo usermod -aG sudo docker
-sudo apt-get install docker.io
+### setup docker DO NOT INSTALL DOCKER, IT MESSES UP WITH k3s iptables
+# sudo adduser docker
+# sudo usermod -aG sudo docker
+# sudo apt-get install docker.io